Bug 1301599 - [upgrades] After UC upgrades 7.2 to 8.0, upgrade overcloud failed with unexpected keyword argument plan_id
[upgrades] After UC upgrades 7.2 to 8.0, upgrade overcloud failed with unexpe...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: RHOS Maint
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 08:32 EST by mathieu bultel
Modified: 2016-10-09 23:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-09 23:18:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mathieu bultel 2016-01-25 08:32:56 EST
Description of problem:

When upgrading from OSP 7.2 to 8.0, after a successful undercloud upgrade and a reboot of the undercloud, upgrade overcloud failed with :

__init__() got an unexpected keyword argument 'plan_id'

python-rdomanager-oscplugin-0.0.10-22.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.7-2.el7ost.noarch
openstack-tripleo-0.0.7-1.el7ost.noarch
openstack-tripleo-common-0.0.2-4.el7ost.noarch
openstack-tripleo-image-elements-0.9.7-1.el7ost.noarch


Full stack trace:

Using parameters {'username': 'admin', 'password': 'ba562af9395e4c8f3662550412437064abf398ae', 'project_name': 'admin', 'auth_url': 'http://192.0.2.1:5000/v2.0'}
Get auth_ref
REQ: curl -g -i -X GET http://192.0.2.1:5000/v2.0 -H "Accept: application/json" -H "User-Agent: python-openstackclient"
Starting new HTTP connection (1): 192.0.2.1
"GET /v2.0 HTTP/1.1" 200 335
RESP: [200] content-length: 335 vary: X-Auth-Token connection: keep-alive date: Mon, 25 Jan 2016 13:31:26 GMT content-type: application/json x-openstack-request-id: req-23469adf-4e18-4b98-b1c6-ffb11a45678e 
RESP BODY: {"version": {"status": "stable", "updated": "2014-04-17T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v2.0+json"}], "id": "v2.0", "links": [{"href": "http://192.0.2.1:5000/v2.0/", "rel": "self"}, {"href": "http://docs.openstack.org/", "type": "text/html", "rel": "describedby"}]}}

Making authentication request to http://192.0.2.1:5000/v2.0/tokens
"POST /v2.0/tokens HTTP/1.1" 200 3493
Making authentication request to http://192.0.2.1:5000/v2.0/tokens
"POST /v2.0/tokens HTTP/1.1" 200 3493
Instantiating compute client for VAPI Version Major: 2, Minor: 0
__init__() got an unexpected keyword argument 'plan_id'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 374, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 54, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_update.py", line 75, in take_action
    environment_files=parsed_args.environment_files)
TypeError: __init__() got an unexpected keyword argument 'plan_id'
clean_up UpdateOvercloud: __init__() got an unexpected keyword argument 'plan_id'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 112, in run
    ret_val = super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 255, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 374, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 54, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_update.py", line 75, in take_action
    environment_files=parsed_args.environment_files)
TypeError: __init__() got an unexpected keyword argument 'plan_id'
Comment 2 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Jaromir Coufal 2016-10-09 23:18:31 EDT
This should be working now per our automation. Please re-open if reappears.

Note You need to log in before you can comment on or make changes to this bug.